path: /build/build/enchant-app-text-2-2.8.6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-nuspell -test -voikko aspell hunspell" emerge app-text/enchant:2 -pv -t && \
    USE="-nuspell -test -voikko aspell hunspell" emerge -j ${JOBS} --nodeps app-text/enchant:2 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/enchant && \
    luet-portage --dir /pkgdir/enchant app-text/enchant:2 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:2bc4f0bc4ccd4e7abddd8af452fa82b7c13fed024ad305db664bdb892b824d9e
  package:
    name: enchant
    version: 2.8.6
    category: app-text-2
    use_flags:
    - -nuspell
    - -test
    - -voikko
    - aspell
    - hunspell
    requires:
    - name: aspell
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Spellchecker wrapping library
    uri:
    - https://github.com/rrthomas/enchant
    license: LGPL-2.1+
    buildtimestamp: 2025-08-19 19:59:19.95292416 +0000 UTC m=+719.349443815
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: '>=dev-libs/glib-2.6:2 aspell? ( app-text/aspell ) hunspell? ( >=app-text/hunspell-1.2.1:0=
        ) nuspell? ( >=app-text/nuspell-5.1.0:0= ) voikko? ( dev-libs/libvoikko )
        test? ( >=dev-libs/unittest++-2.0.0-r2 )'
      IUSE: aspell +hunspell nuspell test voikko
      RDEPEND: '>=dev-libs/glib-2.6:2 aspell? ( app-text/aspell ) hunspell? ( >=app-text/hunspell-1.2.1:0=
        ) nuspell? ( >=app-text/nuspell-5.1.0:0= ) voikko? ( dev-libs/libvoikko )
        !<app-text/enchant-2.8.6:2.2'
      emerge.packages: app-text/enchant:2
      kit: text-kit
      original.package.name: app-text/enchant
      original.package.slot: "2"
      original.package.version: 2.8.6
    treedir: /build/packages
  package_dir: /pkgdir/enchant
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: fc4ece9581e7f64404731a776928f37d3880d14ae7178de7ccf9dbcfa1957335
compressiontype: zstd
files:
- usr/bin/enchant-2
- usr/bin/enchant-lsmod-2
- usr/include/enchant-2/enchant++.h
- usr/include/enchant-2/enchant.h
- usr/lib64/enchant-2/enchant_aspell.so
- usr/lib64/enchant-2/enchant_hunspell.so
- usr/lib64/libenchant-2.so
- usr/lib64/libenchant-2.so.2
- usr/lib64/libenchant-2.so.2.8.6
- usr/lib64/pkgconfig/enchant-2.pc
- usr/share/doc/enchant-2.8.6/AUTHORS.bz2
- usr/share/doc/enchant-2.8.6/ChangeLog.bz2
- usr/share/doc/enchant-2.8.6/NEWS.bz2
- usr/share/doc/enchant-2.8.6/README.bz2
- usr/share/doc/enchant-2.8.6/enchant-2.html
- usr/share/doc/enchant-2.8.6/enchant-lsmod-2.html
- usr/share/doc/enchant-2.8.6/enchant.html
- usr/share/enchant-2/enchant.ordering
- usr/share/man/man1/enchant-2.1.bz2
- usr/share/man/man1/enchant-lsmod-2.1.bz2
- usr/share/man/man5/enchant.5.bz2
- var/db/pkg/app-text/enchant-2.8.6/BDEPEND
- var/db/pkg/app-text/enchant-2.8.6/BUILD_TIME
- var/db/pkg/app-text/enchant-2.8.6/CATEGORY
- var/db/pkg/app-text/enchant-2.8.6/CBUILD
- var/db/pkg/app-text/enchant-2.8.6/CFLAGS
- var/db/pkg/app-text/enchant-2.8.6/CHOST
- var/db/pkg/app-text/enchant-2.8.6/CONTENTS
- var/db/pkg/app-text/enchant-2.8.6/COUNTER
- var/db/pkg/app-text/enchant-2.8.6/CTARGET
- var/db/pkg/app-text/enchant-2.8.6/CXX
- var/db/pkg/app-text/enchant-2.8.6/CXXFLAGS
- var/db/pkg/app-text/enchant-2.8.6/DEFINED_PHASES
- var/db/pkg/app-text/enchant-2.8.6/DEPEND
- var/db/pkg/app-text/enchant-2.8.6/DESCRIPTION
- var/db/pkg/app-text/enchant-2.8.6/EAPI
- var/db/pkg/app-text/enchant-2.8.6/FEATURES
- var/db/pkg/app-text/enchant-2.8.6/HOMEPAGE
- var/db/pkg/app-text/enchant-2.8.6/IUSE
- var/db/pkg/app-text/enchant-2.8.6/IUSE_EFFECTIVE
- var/db/pkg/app-text/enchant-2.8.6/KEYWORDS
- var/db/pkg/app-text/enchant-2.8.6/LDFLAGS
- var/db/pkg/app-text/enchant-2.8.6/LICENSE
- var/db/pkg/app-text/enchant-2.8.6/NEEDED
- var/db/pkg/app-text/enchant-2.8.6/NEEDED.ELF.2
- var/db/pkg/app-text/enchant-2.8.6/PF
- var/db/pkg/app-text/enchant-2.8.6/PROVIDES
- var/db/pkg/app-text/enchant-2.8.6/RDEPEND
- var/db/pkg/app-text/enchant-2.8.6/REQUIRES
- var/db/pkg/app-text/enchant-2.8.6/RESTRICT
- var/db/pkg/app-text/enchant-2.8.6/SIZE
- var/db/pkg/app-text/enchant-2.8.6/SLOT
- var/db/pkg/app-text/enchant-2.8.6/USE
- var/db/pkg/app-text/enchant-2.8.6/enchant-2.8.6.ebuild
- var/db/pkg/app-text/enchant-2.8.6/environment.bz2
- var/db/pkg/app-text/enchant-2.8.6/repository
package_cacheimage: ""
runtime:
  name: enchant
  version: 2.8.6
  category: app-text-2
  use_flags:
  - -nuspell
  - -test
  - -voikko
  - aspell
  - hunspell
  requires:
  - name: aspell
    version: '>=0'
    category: app-text
  - name: hunspell
    version: '>=0'
    category: app-text
  - name: glib
    version: '>=0'
    category: dev-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Spellchecker wrapping library
  uri:
  - https://github.com/rrthomas/enchant
  license: LGPL-2.1+
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: '>=dev-libs/glib-2.6:2 aspell? ( app-text/aspell ) hunspell? ( >=app-text/hunspell-1.2.1:0=
      ) nuspell? ( >=app-text/nuspell-5.1.0:0= ) voikko? ( dev-libs/libvoikko ) test?
      ( >=dev-libs/unittest++-2.0.0-r2 )'
    IUSE: aspell +hunspell nuspell test voikko
    RDEPEND: '>=dev-libs/glib-2.6:2 aspell? ( app-text/aspell ) hunspell? ( >=app-text/hunspell-1.2.1:0=
      ) nuspell? ( >=app-text/nuspell-5.1.0:0= ) voikko? ( dev-libs/libvoikko ) !<app-text/enchant-2.8.6:2.2'
    emerge.packages: app-text/enchant:2
    kit: text-kit
    original.package.name: app-text/enchant
    original.package.slot: "2"
    original.package.version: 2.8.6
